Win a copy of Kotlin in Action this week in the Kotlin forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic

jstl on wsad 5  RSS feed

 
Neeraj Vij
Ranch Hand
Posts: 315
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator


I am getting the following error while executing the jstl in jsp on wsad 5 test enviornment. those files are working fine in tomcat 5.

please guide me.

Thanks,
Neeraj.
 
Jeanne Boyarsky
author & internet detective
Sheriff
Posts: 37234
519
Eclipse IDE Java VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Neeraj,
WSAD supports J2EE 1.3. Are you using JSTL that was introduced after that?
 
Tim Holloway
Bartender
Posts: 18709
71
Android Eclipse IDE Linux
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Tomcat5 has the EL implementation library built into the server. Your stacktrace indicates you're running a copy of WebSphere. Up until about WS6 or WS7, to use EL in WebSphere, you had to explicitly include the EL implementation library in your WAR.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!